import { type CSSProperties } from 'react';
type CollapsibleTypographyWrapperProps = {
    rowsCount: number;
    isOpenCollapse: boolean;
    currentHeight: CSSProperties['height'];
};
export declare const CollapsibleWrapper: import("../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
export declare const Wrapper: import("../styled").StyledComponent<import("../Typography/types").TypographyPropsBase & {
    color?: import("../Typography").TypographyColor | undefined;
    variant?: import("../Typography").TypographyVariant | undefined;
    colorIntensity?: import("../Typography").Intensity | undefined;
    component?: import("../Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & CollapsibleTypographyWrapperProps, {}, {}>;
export declare const StyledButton: import("../styled").StyledComponent<Omit<import("..").WithoutEmotionSpecific<import("@mui/material").ButtonProps>, "color" | "component" | "variant" | "centerRipple" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "TouchRippleProps" | "touchRippleRef" | "disableFocusRipple"> & {
    variant?: "light" | "link" | "text" | "contained" | "outlined" | undefined;
    loading?: boolean | undefined;
    color?: "primary" | "success" | "warning" | "error" | "grey" | undefined;
    component?: import("react").ElementType | undefined;
    selected?: boolean | undefined;
} & Omit<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, ""> & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $placement: 'start' | 'end';
}, {}, {}>;
export {};
